Bug 112997 - Viewing: only a single of multiple animated gif is rendered
Summary: Viewing: only a single of multiple animated gif is rendered
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:5.4.7 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2017-10-08 12:46 UTC by Telesto
Modified: 2018-04-04 09:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (3.86 KB, text/plain)
2017-10-08 12:48 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-10-08 12:46:30 UTC
Description:
Only a single of multiple animated gif is rendered

Steps to Reproduce:
1. Open attachment 126627 [details] (bug 98500)
2. Go to sheet 2. Notice that only the first of all the images is moving

Actual Results:  
Only 1 out of 6 gifs is rendered

Expected Results:
All of them should be rendered (as before)


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 6.0.0.0.alpha0+
Build ID: c5a93cad149618bbd43632f1660a558c34bdbf7e
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-07_01:04:25
Locale: nl-NL (nl_NL); Calc: CL

and in
Version: 5.3.0.0.alpha1+
Build ID: c0c69ccd2aac45e4cca0de7d4deaa6d02ec27f4d
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; Layout Engine: new; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-10-08 12:48:33 UTC
Created attachment 136851 [details]
Bibisect log

Bibisected to:

author	Noel Grandin <noel.grandin@collabora.co.uk>	2016-11-04 13:08:14 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2016-11-07 06:39:41 (GMT)
commit	c0c69ccd2aac45e4cca0de7d4deaa6d02ec27f4d (patch)
tree	9b9d53c82e162162b3ee2d5b40b9f9323f75efa6
parent	496c0de160dd405c9f089679fc5f590bfe15e49e (diff)
convert sdr::animation::EventList to o3tl::sorted_vector
instead of home-grown linked list
Comment 2 raal 2017-10-08 20:28:08 UTC
I can confirm with Version: 6.0.0.0.alpha0+
Build ID: 9127d1a89cbfba89eb9df6755ea7b9e161cfc67a
CPU threads: 4; OS: Windows 6.1; UI render: default;
Comment 3 Xisco Faulí 2017-10-18 11:55:22 UTC
Adding Cc: to Noel Grandin
Comment 4 Telesto 2018-03-23 15:13:44 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: dd4f1b1bd31daf080dc0420524712dc244e539b5
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-20_23:26:38
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Commit Notification 2018-03-26 07:30:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d312ff2b52c0ea2e2864518a36f6b432653c8297

tdf#112997 multiple animated gif only one frame

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-03-28 14:06:36 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 8329f4541e27402d19729ae1588af8bfe61f7b49
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Thank you Noel!!
Comment 7 Telesto 2018-03-28 15:11:19 UTC
Indeed, thanks Noel!! You made my day
Comment 8 Commit Notification 2018-04-04 09:04:18 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09ba4f15ec88b820fed66be339170da2fbbf11dd&h=libreoffice-5-4

tdf#112997 multiple animated gif only one frame

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-04-04 09:06:48 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2439b95b4d34e519aa2a5617a7f1e194b7864222&h=libreoffice-6-0

tdf#112997 multiple animated gif only one frame

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.